# generated by cabal-rpm-0.11.2
# https://fedoraproject.org/wiki/Packaging:Haskell

%global pkg_name cabal-helper
%global pkgver %{pkg_name}-%{version}

%bcond_with tests

Name:           ghc-%{pkg_name}
Version:        0.7.3.0
Release:        1%{?dist}
Summary:        Simple interface to some of Cabal's configuration state used by ghc-mod

License:        AGPLv3
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-process-devel
BuildRequires:  ghc-template-haskell-devel
BuildRequires:  ghc-temporary-devel
BuildRequires:  ghc-transformers-devel
BuildRequires:  ghc-utf8-string-devel
%if %{with tests}
BuildRequires:  ghc-extra-devel
BuildRequires:  ghc-unix-devel
%endif
# End cabal-rpm deps

%description
'cabal-helper' provides a library which wraps the internal use of an executable
to lift the restrictions imposed by linking against versions of GHC before
'7.10'. This has the pleasant side effect of isolating the user from having to
deal with Cabal version changes manually as 'cabal-helper' can simply recompile
it's helper program automatically as needed.

'cabal-helper' uses a wrapper executable to compile the actual cabal-helper
executable at runtime while linking against an arbitrary version of Cabal.
This runtime-compiled helper executable is then used to extract various bits
and peices from Cabal's on disk state (dist/setup-config) written by it's
configure command.

In addition to this the wrapper executable also supports installing any version
of Cabal from hackage in case it cannot be found in any available package
database. The wrapper installs these instances of the Cabal library into a
private package database so as to not interfere with the user's packages.

Furthermore the wrapper supports one special case namely reading a state file
for Cabal itself. This is needed as Cabal compiles it's Setup.hs using itself
and not using any version of Cabal installed in any package database.

'cabal-helper' can compile with 'Cabal >= 1.14' but requires 'Cabal >= 1.16' at
runtime.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkgver}


%build
%ghc_lib_build


%install
%ghc_lib_install


%check
%cabal_test


%post devel
%ghc_pkg_recache


%postun devel
%ghc_pkg_recache


%files -f %{name}.files
%license LICENSE
%{_libexecdir}/%{_host_cpu}-%{_host_os}-ghc-%{ghc_version}/%{pkgver}/cabal-helper-wrapper


%files devel -f %{name}-devel.files
%doc README.md


%changelog
* Mon Dec 11 2017 Fedora Haskell SIG <haskell@lists.fedoraproject.org> - 0.7.3.0-1
- spec file generated by cabal-rpm-0.11.2
